Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.admin.tools.script
Class DefinitionAdmin

    java.lang.Object
      oracle.ifs.admin.tools.script.DefinitionAdmin

    public class DefinitionAdmin

extends java.lang.Object

The `DefinitionAdmin.java` class - colleciton of Definition admin tasks test.

Field Summary
`protected java.util.Hashtable` | `m_DefinitionTable`
`protected AdminManager` | `m_Main`

Constructor Summary
`DefinitionAdmin(AdminManager main)` The only constructor that is being used.

Method Summary
`protected void` | `applyAccessControlEntryDefinitions(LibrarySession sess, ParameterTable params, AccessControlEntryDefinition def)`
`protected void` | `applyDocumentDefinitions(LibrarySession sess, ParameterTable params, DocumentDefinition def)`
`protected void` | `applyFolderDefinitions(LibrarySession sess, ParameterTable params, FolderDefinition def)`
`protected void` | `applyMediaDefinitions(LibrarySession sess, ParameterTable params, MediaDefinition def)`
`protected void` | `applyPermissionBundleDefinitions(LibrarySession sess, ParameterTable params, PermissionBundleDefinition def)`
`protected void` | `applyPropertyBundleDefinitions(LibrarySession sess, ParameterTable params, PropertyBundleDefinition def)`
`protected void` | `applyPublicObjectDefinitions(LibrarySession sess, ParameterTable params, PublicObjectDefinition def)`
`protected void` | `applySearchObjectDefinitions(LibrarySession sess, ParameterTable params, SearchObjectDefinition def)`
`protected void` | `applySystemObjectDefinitions(LibrarySession sess, ParameterTable params, SystemObjectDefinition def)`
`protected void` | `applyVersionDescriptionDefinitions(LibrarySession sess, ParameterTable params, VersionDescriptionDefinition def)`
`protected void` | `applyVersionSeriesDefinitions(LibrarySession sess, ParameterTable params, VersionSeriesDefinition def)`
`LibraryObjectDefinition` | `checkDefinition(java.lang.String idname)`
`void` | `createAccessControlEntryDefinition(LibrarySession sess, ParameterTable params)` Section variant of Create AccessControlEntry definition
`void` | `createAccessControlListDefinition(LibrarySession sess, ParameterTable params)` Section variant of createAccessControlListDefinition
`void` | `createApplicationObjectDefinition(LibrarySession sess, ParameterTable params)` Section variant of createAppObjDefinition
`void` | `createAttributeDefinition(LibrarySession sess, ParameterTable params)` Section variant of createAttributeDefinition
`void` | `createCategoryDefinition(LibrarySession sess, ParameterTable params)` Section variant of createCategoryDefinition
`void` | `createClassDomainDefinition(LibrarySession sess, ParameterTable params)` Section variant of createClassDomainDefinition
`void` | `createClassObjectDefinition(LibrarySession sess, ParameterTable params)` Section variant of createClassObjectDefinition
`void` | `createDefinition(LibrarySession sess, ParameterTable params)` Section variant of Create Definition
`void` | `createDirectoryGroupDefinition(LibrarySession sess, ParameterTable params)` Section variant of createDirectoryGroupDefinition
`void` | `createDirectoryUserDefinition(LibrarySession sess, ParameterTable params)` Section variant of createDirectoryUserDefinition
`void` | `createDocumentDefinition(LibrarySession sess, ParameterTable params)` Section variant of createDocumentDefinition
`void` | `createExtendedPermissionDefinition(LibrarySession sess, ParameterTable params)` Section variant of createExtendedPermissionDefinition
`void` | `createFamilyDefinition(LibrarySession sess, ParameterTable params)` Section variant of createFamilyDefinition
`void` | `createFolderDefinition(LibrarySession sess, ParameterTable params)` Section variant of createFolderDefinition
`void` | `createFormatDefinition(LibrarySession sess, ParameterTable params)` Section variant of createFormatDefinition
`void` | `createMediaDefinition(LibrarySession sess, ParameterTable params)` Section variant of createMediaDefinition
`void` | `createPermissionBundleDefinition(LibrarySession sess, ParameterTable params)` Section variant of createPermissionBundleDefinition
`void` | `createPolicyDefinition(LibrarySession sess, ParameterTable params)` Section variant of createPolicyDefinition
`void` | `createPropertyBundleDefinition(LibrarySession sess, ParameterTable params)` Section variant of Create PropertyBundle definition
`void` | `createPublicObjectDefinition(LibrarySession sess, ParameterTable params)` Section variant of createPublicObjectDefinition
`void` | `createSearchObjectDefinition(LibrarySession sess, ParameterTable params)` Section variant of Create SearchObject definition
`void` | `createSelectorObjectDefinition(LibrarySession sess, ParameterTable params)` Section variant of Create SelectorObject definition
`void` | `createSystemLockObjectDefinition(LibrarySession sess, ParameterTable params)` Section variant of createSystemLockObjectDefinition
`void` | `createUserProfileDefinition(LibrarySession sess, ParameterTable params)` Section variant of createUserProfileDefinition
`void` | `createValueDefaultDefinition(LibrarySession sess, ParameterTable params)` Section variant of createValueDefaultDefinition
`void` | `createValueDomainDefinition(LibrarySession sess, ParameterTable params)` Section variant of createValueDomainDefinition
`void` | `createVersionDescriptionDefinition(LibrarySession sess, ParameterTable params)` Section variant of createVersionDescriptionDefinition
`void` | `createVersionSeriesDefinition(LibrarySession sess, ParameterTable params)` Section variant of createVersionSeriesDefinition
`LibraryObjectDefinition` | `lookupDefinition(java.lang.String idname)`
`void` | `modifyAccessControlEntryDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyAccessControlEntryDefinition
`void` | `modifyCategoryDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyCategoryDefinition
`void` | `modifyDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyDefinition
`void` | `modifyDocumentDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyDocumentDefinition
`void` | `modifyExtendedPermissionDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyExtendedPermissionDefinition
`void` | `modifyFamilyDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyFamilyDefinition
`void` | `modifyFolderDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyFolderDefinition
`void` | `modifyFormatDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyFormatDefinition
`void` | `modifyMediaDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyMediaDefinition
`void` | `modifyPermissionBundleDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyPermissionBundleDefinition
`void` | `modifyPolicyDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyPolicyDefinition
`void` | `modifyPropertyBundleDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyPropertyBundleDefinition
`void` | `modifyPublicObjectDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyPublicObjectDefinition
`void` | `modifySearchObjectDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifySearchObjectDefinition
`void` | `modifySystemLockObjectDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifySystemLockObjectDefinition
`void` | `modifyVersionDescriptionDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyVersionDescriptionDefinition
`void` | `modifyVersionSeriesDefinition(LibrarySession sess, ParameterTable params)` Section variant of modifyVersionSeriesDefinition
`void` | `showDefinition(LibrarySession sess, LibraryObjectDefinition def)`
`void` | `showDefinition(LibrarySession sess, ParameterTable params)` Section variant of showDefinition
`void` | `showDefinition(LibrarySession sess, java.lang.String idname)` Inline/internal variant of showDefinition
`java.lang.String[]` | `sortStringArray(java.lang.String[] input)` Sorts an array of strings lexicographically.
`void` | `unidentifyDefinition(LibrarySession sess, ParameterTable params)` Section variant of unidentifyDefinition

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Main

    protected AdminManager m_Main

### m_DefinitionTable

    protected java.util.Hashtable m_DefinitionTable

Constructor Detail

### DefinitionAdmin

    public DefinitionAdmin(AdminManager main)

  The only constructor that is being used.

  Parameters:
    `main` - Reference to AdminManager which invokes this.

Method Detail

### createDefinition

    public void createDefinition(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of Create Definition

  Throws:
    `IfsException`

### createPublicObjectDefinition

    public void createPublicObjectDefinition(LibrarySession sess,
                                             ParameterTable params)
                                      throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createPublicObjectDefinition

  Throws:
    `IfsException`

### createCategoryDefinition

    public void createCategoryDefinition(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createCategoryDefinition

  Throws:
    `IfsException`

### createPropertyBundleDefinition

    public void createPropertyBundleDefinition(LibrarySession sess,
                                               ParameterTable params)
                                        throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of Create PropertyBundle definition

  Throws:
    `IfsException`

### createSelectorObjectDefinition

    public void createSelectorObjectDefinition(LibrarySession sess,
                                               ParameterTable params)
                                        throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of Create SelectorObject definition

  Throws:
    `IfsException`

### createSearchObjectDefinition

    public void createSearchObjectDefinition(LibrarySession sess,
                                             ParameterTable params)
                                      throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of Create SearchObject definition

  Throws:
    `IfsException`

### createFamilyDefinition

    public void createFamilyDefinition(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createFamilyDefinition

  Throws:
    `IfsException`

### createVersionSeriesDefinition

    public void createVersionSeriesDefinition(LibrarySession sess,
                                              ParameterTable params)
                                       throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createVersionSeriesDefinition

  Throws:
    `IfsException`

### createVersionDescriptionDefinition

    public void createVersionDescriptionDefinition(LibrarySession sess,
                                                   ParameterTable params)
                                            throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createVersionDescriptionDefinition

  Throws:
    `IfsException`

### createFolderDefinition

    public void createFolderDefinition(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createFolderDefinition

  Throws:
    `IfsException`

### createDocumentDefinition

    public void createDocumentDefinition(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createDocumentDefinition

  Throws:
    `IfsException`

### createExtendedPermissionDefinition

    public void createExtendedPermissionDefinition(LibrarySession sess,
                                                   ParameterTable params)
                                            throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createExtendedPermissionDefinition

  Throws:
    `IfsException`

### createPermissionBundleDefinition

    public void createPermissionBundleDefinition(LibrarySession sess,
                                                 ParameterTable params)
                                          throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createPermissionBundleDefinition

  Throws:
    `IfsException`

### createApplicationObjectDefinition

    public void createApplicationObjectDefinition(LibrarySession sess,
                                                  ParameterTable params)
                                           throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createAppObjDefinition

  Throws:
    `IfsException`

### createDirectoryGroupDefinition

    public void createDirectoryGroupDefinition(LibrarySession sess,
                                               ParameterTable params)
                                        throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createDirectoryGroupDefinition

  Throws:
    `IfsException`

### createDirectoryUserDefinition

    public void createDirectoryUserDefinition(LibrarySession sess,
                                              ParameterTable params)
                                       throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createDirectoryUserDefinition

  Throws:
    `IfsException`

### createUserProfileDefinition

    public void createUserProfileDefinition(LibrarySession sess,
                                            ParameterTable params)
                                     throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createUserProfileDefinition

  Throws:
    `IfsException`

### createValueDefaultDefinition

    public void createValueDefaultDefinition(LibrarySession sess,
                                             ParameterTable params)
                                      throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createValueDefaultDefinition

  Throws:
    `IfsException`

### createValueDomainDefinition

    public void createValueDomainDefinition(LibrarySession sess,
                                            ParameterTable params)
                                     throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createValueDomainDefinition

  Throws:
    `IfsException`

### createClassDomainDefinition

    public void createClassDomainDefinition(LibrarySession sess,
                                            ParameterTable params)
                                     throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createClassDomainDefinition

  Throws:
    `IfsException`

### createClassObjectDefinition

    public void createClassObjectDefinition(LibrarySession sess,
                                            ParameterTable params)
                                     throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createClassObjectDefinition

  Throws:
    `IfsException`

### createAccessControlListDefinition

    public void createAccessControlListDefinition(LibrarySession sess,
                                                  ParameterTable params)
                                           throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createAccessControlListDefinition

  Throws:
    `IfsException`

### createFormatDefinition

    public void createFormatDefinition(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createFormatDefinition

  Throws:
    `IfsException`

### createMediaDefinition

    public void createMediaDefinition(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createMediaDefinition

  Throws:
    `IfsException`

### createSystemLockObjectDefinition

    public void createSystemLockObjectDefinition(LibrarySession sess,
                                                 ParameterTable params)
                                          throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createSystemLockObjectDefinition

  Throws:
    `IfsException`

### createPolicyDefinition

    public void createPolicyDefinition(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createPolicyDefinition

  Throws:
    `IfsException`

### createAccessControlEntryDefinition

    public void createAccessControlEntryDefinition(LibrarySession sess,
                                                   ParameterTable params)
                                            throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of Create AccessControlEntry definition

  Throws:
    `IfsException`

### createAttributeDefinition

    public void createAttributeDefinition(LibrarySession sess,
                                          ParameterTable params)
                                   throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of createAttributeDefinition

  Throws:
    `IfsException`

### applySystemObjectDefinitions

    protected void applySystemObjectDefinitions(LibrarySession sess,
                                                ParameterTable params,
                                                SystemObjectDefinition def)
                                         throws IfsException

  Throws:
    `IfsException`

### applyMediaDefinitions

    protected void applyMediaDefinitions(LibrarySession sess,
                                         ParameterTable params,
                                         MediaDefinition def)
                                  throws IfsException

  Throws:
    `IfsException`

### applyPermissionBundleDefinitions

    protected void applyPermissionBundleDefinitions(LibrarySession sess,
                                                    ParameterTable params,
                                                    PermissionBundleDefinition def)
                                             throws IfsException

  Throws:
    `IfsException`

### applyPublicObjectDefinitions

    protected void applyPublicObjectDefinitions(LibrarySession sess,
                                                ParameterTable params,
                                                PublicObjectDefinition def)
                                         throws IfsException

  Throws:
    `IfsException`

### applyPropertyBundleDefinitions

    protected void applyPropertyBundleDefinitions(LibrarySession sess,
                                                  ParameterTable params,
                                                  PropertyBundleDefinition def)
                                           throws IfsException

  Throws:
    `IfsException`

### applySearchObjectDefinitions

    protected void applySearchObjectDefinitions(LibrarySession sess,
                                                ParameterTable params,
                                                SearchObjectDefinition def)
                                         throws IfsException

  Throws:
    `IfsException`

### applyDocumentDefinitions

    protected void applyDocumentDefinitions(LibrarySession sess,
                                            ParameterTable params,
                                            DocumentDefinition def)
                                     throws IfsException

  Throws:
    `IfsException`

### applyVersionSeriesDefinitions

    protected void applyVersionSeriesDefinitions(LibrarySession sess,
                                                 ParameterTable params,
                                                 VersionSeriesDefinition def)
                                          throws IfsException

  Throws:
    `IfsException`

### applyVersionDescriptionDefinitions

    protected void applyVersionDescriptionDefinitions(LibrarySession sess,
                                                      ParameterTable params,
                                                      VersionDescriptionDefinition def)
                                               throws IfsException

  Throws:
    `IfsException`

### applyFolderDefinitions

    protected void applyFolderDefinitions(LibrarySession sess,
                                          ParameterTable params,
                                          FolderDefinition def)
                                   throws IfsException

  Throws:
    `IfsException`

### applyAccessControlEntryDefinitions

    protected void applyAccessControlEntryDefinitions(LibrarySession sess,
                                                      ParameterTable params,
                                                      AccessControlEntryDefinition def)
                                               throws IfsException

  Throws:
    `IfsException`

### modifyDefinition

    public void modifyDefinition(LibrarySession sess,
                                 ParameterTable params)
                          throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyDefinition

  Throws:
    `IfsException`

### modifyAccessControlEntryDefinition

    public void modifyAccessControlEntryDefinition(LibrarySession sess,
                                                   ParameterTable params)
                                            throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyAccessControlEntryDefinition

  Throws:
    `IfsException`

### modifyCategoryDefinition

    public void modifyCategoryDefinition(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyCategoryDefinition

  Throws:
    `IfsException`

### modifyDocumentDefinition

    public void modifyDocumentDefinition(LibrarySession sess,
                                         ParameterTable params)
                                  throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyDocumentDefinition

  Throws:
    `IfsException`

### modifySearchObjectDefinition

    public void modifySearchObjectDefinition(LibrarySession sess,
                                             ParameterTable params)
                                      throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifySearchObjectDefinition

  Throws:
    `IfsException`

### modifyExtendedPermissionDefinition

    public void modifyExtendedPermissionDefinition(LibrarySession sess,
                                                   ParameterTable params)
                                            throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyExtendedPermissionDefinition

  Throws:
    `IfsException`

### modifyFamilyDefinition

    public void modifyFamilyDefinition(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyFamilyDefinition

  Throws:
    `IfsException`

### modifyFolderDefinition

    public void modifyFolderDefinition(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyFolderDefinition

  Throws:
    `IfsException`

### modifyFormatDefinition

    public void modifyFormatDefinition(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyFormatDefinition

  Throws:
    `IfsException`

### modifyMediaDefinition

    public void modifyMediaDefinition(LibrarySession sess,
                                      ParameterTable params)
                               throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyMediaDefinition

  Throws:
    `IfsException`

### modifySystemLockObjectDefinition

    public void modifySystemLockObjectDefinition(LibrarySession sess,
                                                 ParameterTable params)
                                          throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifySystemLockObjectDefinition

  Throws:
    `IfsException`

### modifyPolicyDefinition

    public void modifyPolicyDefinition(LibrarySession sess,
                                       ParameterTable params)
                                throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyPolicyDefinition

  Throws:
    `IfsException`

### modifyPropertyBundleDefinition

    public void modifyPropertyBundleDefinition(LibrarySession sess,
                                               ParameterTable params)
                                        throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyPropertyBundleDefinition

  Throws:
    `IfsException`

### modifyPublicObjectDefinition

    public void modifyPublicObjectDefinition(LibrarySession sess,
                                             ParameterTable params)
                                      throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyPublicObjectDefinition

  Throws:
    `IfsException`

### modifyPermissionBundleDefinition

    public void modifyPermissionBundleDefinition(LibrarySession sess,
                                                 ParameterTable params)
                                          throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyPermissionBundleDefinition

  Throws:
    `IfsException`

### modifyVersionDescriptionDefinition

    public void modifyVersionDescriptionDefinition(LibrarySession sess,
                                                   ParameterTable params)
                                            throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyVersionDescriptionDefinition

  Throws:
    `IfsException`

### modifyVersionSeriesDefinition

    public void modifyVersionSeriesDefinition(LibrarySession sess,
                                              ParameterTable params)
                                       throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of modifyVersionSeriesDefinition

  Throws:
    `IfsException`

### unidentifyDefinition

    public void unidentifyDefinition(LibrarySession sess,
                                     ParameterTable params)
                              throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of unidentifyDefinition

  Throws:
    `IfsException`

### showDefinition

    public void showDefinition(LibrarySession sess,
                               java.lang.String idname)
                        throws IfsException

  Description copied from class: `DefinitionAdmin`
  Inline/internal variant of showDefinition

  Throws:
    `IfsException`

### showDefinition

    public void showDefinition(LibrarySession sess,
                               ParameterTable params)
                        throws IfsException

  Description copied from class: `DefinitionAdmin`
  Section variant of showDefinition

  Throws:
    `IfsException`

### showDefinition

    public void showDefinition(LibrarySession sess,
                               LibraryObjectDefinition def)
                        throws IfsException

  Throws:
    `IfsException`

### lookupDefinition

    public LibraryObjectDefinition lookupDefinition(java.lang.String idname)
                                             throws IfsException

  Throws:
    `IfsException`

### checkDefinition

    public LibraryObjectDefinition checkDefinition(java.lang.String idname)
                                            throws IfsException

  Throws:
    `IfsException`

### sortStringArray

    public java.lang.String[] sortStringArray(java.lang.String[] input)

  Description copied from class: `DefinitionAdmin`
  Sorts an array of strings lexicographically. Uses bubble sort.

  Parameters:
    `input` - array of strings to be sorted
  Returns:
    String [] sorted array of strings

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD